WatchPattern (Grails 6.0.0)

Package: org.grails.plugins.support

## [Groovy] Class WatchPattern

- org.grails.plugins.support.WatchPattern

-     @groovy.transform.CompileStatic
      @groovy.transform.ToString
      class WatchPattern
      extends java.lang.Object

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.io.File` | `directory` | The directories being watched, if any
    `private java.lang.String` | `extension` | The file extensions within the directories being watched
    `private java.io.File` | `file` | A concrete file being watched, if any
    `private java.lang.String` | `pattern` | The pattern.

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.io.File` | `directory` The directories being watched, if any
    `java.lang.String` | `extension` The file extensions within the directories being watched
    `java.io.File` | `file` A concrete file being watched, if any
    `java.lang.String` | `pattern` The pattern.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `WatchPattern ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `matchesPath(java.lang.String path)` Whether the given path matches this watch pattern

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.io.File directory

      The directories being watched, if any

    - #### private java.lang.String extension

      The file extensions within the directories being watched

    - #### private java.io.File file

      A concrete file being watched, if any

    - #### private java.lang.String pattern

      The pattern. Eg. file:./grails-app/conf/spring/resources.xml

  - ### Property Detail

    - #### java.io.File directory

      The directories being watched, if any

    - #### java.lang.String extension

      The file extensions within the directories being watched

    - #### java.io.File file

      A concrete file being watched, if any

    - #### java.lang.String pattern

      The pattern. Eg. file:./grails-app/conf/spring/resources.xml

  - ### Constructor Detail

    - #### WatchPattern()

  - ### Method Detail

    - #### boolean matchesPath(java.lang.String path)

      Whether the given path matches this watch pattern

      Parameters:
        `path` - A file path
      Returns:
        true if it does